Page MenuHomePhabricator

Dark mode: white background flash on app start
Closed, ResolvedPublic

Description

Description

When app is set to dark mode, the app flashes a white background before displaying the dark background. This is very distracting when reading in the dark.

Steps to reproduce

  1. Turn on dark mode in app
  2. Force stop app
  3. Restart app

Expected results

App starts right away with dark background.

Actual results

App starts with white background for a short period before switching to dark background.

Environments observed

Reported as Google Play Store review of beta app on 7/21.
App version: 2.0.106-beta-2015-07-20
Android OS versions: 5.1.1
Device model: Nexus 9
Device language: en

Event Timeline

bearND created this task.Jul 21 2015, 5:32 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 5:32 PM
bearND updated the task description. (Show Details)Jul 21 2015, 5:38 PM
bearND set Security to None.
Dbrant triaged this task as High priority.Jul 22 2015, 5:30 PM
Dbrant moved this task from Needs Triage to Current Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.

Change 226351 had a related patch set uploaded (by Niedzielski):
Add neutral background splash screen

https://gerrit.wikimedia.org/r/226351

Change 226351 merged by jenkins-bot:
Add neutral background splash screen

https://gerrit.wikimedia.org/r/226351

Signed off by design

Checked with 2.0.108-alpha-2015-08-07 on Nexus5(Android 5.1)

Dbrant closed this task as Resolved.Aug 17 2015, 1:42 PM